summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSamuli Suominen <sasuomin@uusikaupunki.fi>2006-06-24 08:07:00 +0000
committerSamuli Suominen <sasuomin@uusikaupunki.fi>2006-06-24 08:07:00 +0000
commitb12e3a1b228e41c7b87315e50124ca374f1c397e (patch)
tree61fb4fe2b591545e9429f8f7c088182c48775e93 /app-cdr/bonfire
parentmedia-sound/chuck - add DEPEND, fix CXX and LFLAGS (diff)
downloadsunrise-b12e3a1b228e41c7b87315e50124ca374f1c397e.tar.gz
sunrise-b12e3a1b228e41c7b87315e50124ca374f1c397e.tar.bz2
sunrise-b12e3a1b228e41c7b87315e50124ca374f1c397e.zip
New ebuild. app-cdr/bonfire. See bug #116068
svn path=/sunrise/; revision=224
Diffstat (limited to 'app-cdr/bonfire')
-rw-r--r--app-cdr/bonfire/ChangeLog7
-rw-r--r--app-cdr/bonfire/Manifest12
-rw-r--r--app-cdr/bonfire/bonfire-0.3.90.ebuild52
-rw-r--r--app-cdr/bonfire/files/digest-bonfire-0.3.903
4 files changed, 74 insertions, 0 deletions
diff --git a/app-cdr/bonfire/ChangeLog b/app-cdr/bonfire/ChangeLog
new file mode 100644
index 000000000..c5b5d4034
--- /dev/null
+++ b/app-cdr/bonfire/ChangeLog
@@ -0,0 +1,7 @@
+# ChangeLog for app-cdr/bonfire
+# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 24 Jun 2006; Samuli Suominen <sasuomin@uusikaupunki.fi> ChangeLog:
+ Initial version. See bug #116068.
+
diff --git a/app-cdr/bonfire/Manifest b/app-cdr/bonfire/Manifest
new file mode 100644
index 000000000..a97df2bd2
--- /dev/null
+++ b/app-cdr/bonfire/Manifest
@@ -0,0 +1,12 @@
+DIST bonfire-0.3.90.tar.bz2 1363537 RMD160 d3cd26c209d9a81d6678af83177b3b60fc5af767 SHA1 d8defcb66ed326aa7011333851d84c327c5fe98a SHA256 d9fe22ed848fc16c79c04e9a53058cf07b8b7d058b45aa0a4ba3731ceee5941b
+EBUILD bonfire-0.3.90.ebuild 1272 RMD160 48b7029357d2f92c09aae3e94306716bc8c5cc8c SHA1 1ad81a7c20fa3e4ed1e2754836c3528ae59ef51e SHA256 abfa3791f330efaf38f4b81aad2a21578d6d36ff12f0995b8c881030ab6e9d2f
+MD5 b6da5c136421557306f56156e5409838 bonfire-0.3.90.ebuild 1272
+RMD160 48b7029357d2f92c09aae3e94306716bc8c5cc8c bonfire-0.3.90.ebuild 1272
+SHA256 abfa3791f330efaf38f4b81aad2a21578d6d36ff12f0995b8c881030ab6e9d2f bonfire-0.3.90.ebuild 1272
+MISC ChangeLog 222 RMD160 701890768f77f282594409a6fbcc6edf462741ea SHA1 ebd76fb01aaaff9b561d3903a5a54a008b540c60 SHA256 5c0a165207821a16239c02b329ad1b90bd894e9a1b6c5b25aa96ee0a6dbf5152
+MD5 7fccf8acb4b5d0db44a768dae0ebaafe ChangeLog 222
+RMD160 701890768f77f282594409a6fbcc6edf462741ea ChangeLog 222
+SHA256 5c0a165207821a16239c02b329ad1b90bd894e9a1b6c5b25aa96ee0a6dbf5152 ChangeLog 222
+MD5 f4d51ceec4f64bad5f0564ab0e96d61e files/digest-bonfire-0.3.90 250
+RMD160 b1d6ae335ef0ecf7e0eb07ccf23a5305387818a8 files/digest-bonfire-0.3.90 250
+SHA256 5254845fac725bb8c7af8f7b84a79574ed2a04a19192b5dda1d0cba99d6ea94c files/digest-bonfire-0.3.90 250
diff --git a/app-cdr/bonfire/bonfire-0.3.90.ebuild b/app-cdr/bonfire/bonfire-0.3.90.ebuild
new file mode 100644
index 000000000..6f762c228
--- /dev/null
+++ b/app-cdr/bonfire/bonfire-0.3.90.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit gnome2
+
+DESCRIPTION="Bonfire is yet another application to burn CD/DVD for the gnome desktop."
+HOMEPAGE="http://perso.wanadoo.fr/bonfire/"
+SRC_URI="mirror://sourceforge/bonfire/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="beagle totem nls"
+
+# See bug 137799 why optional dependency of dev-lang/gdl is not here yet.
+
+RDEPEND="|| ( ( x11-libs/libXrandr
+ x11-libs/libXcursor
+ x11-libs/libXrender
+ x11-libs/libXext
+ x11-libs/libXfixes )
+ virtual/x11 )
+ >=x11-libs/gtk+-2.8.8
+ >=gnome-base/libgnome-2.14
+ >=gnome-base/libgnomeui-2.14
+ >=gnome-base/gnome-vfs-2.14.2
+ >=media-libs/gstreamer-0.10.6
+ >=sys-apps/hal-0.5
+ >=sys-apps/dbus-0.5
+ >=gnome-extra/nautilus-cd-burner-2.14
+ >=dev-libs/libxml2-2.6
+ totem? ( >=media-video/totem-1.4 )
+ beagle? ( >=app-misc/beagle-0.2.5 )
+ >=x11-libs/libnotify-0.3"
+
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig
+ sys-devel/gettext
+ dev-util/intltool"
+
+G2CONF="${G2CONF} \
+ $(use_enable totem playlist) \
+ $(use_enable beagle search)"
+
+src_install() {
+ gnome2_src_install
+ use nls || rm -rf ${D}/usr/share/locale
+}
+
+DOCS="ChangeLog NEWS README MAINTAINERS"
+USE_DESTDIR="1"
diff --git a/app-cdr/bonfire/files/digest-bonfire-0.3.90 b/app-cdr/bonfire/files/digest-bonfire-0.3.90
new file mode 100644
index 000000000..98782f4e5
--- /dev/null
+++ b/app-cdr/bonfire/files/digest-bonfire-0.3.90
@@ -0,0 +1,3 @@
+MD5 73aa9b1b8d1eaabe651ac4bfa51c9136 bonfire-0.3.90.tar.bz2 1363537
+RMD160 d3cd26c209d9a81d6678af83177b3b60fc5af767 bonfire-0.3.90.tar.bz2 1363537
+SHA256 d9fe22ed848fc16c79c04e9a53058cf07b8b7d058b45aa0a4ba3731ceee5941b bonfire-0.3.90.tar.bz2 1363537